Bug 1282633 - adobe-source-han-sans-tw-fonts.f23 did not replace 'twhk.f22 package during upgrade
adobe-source-han-sans-tw-fonts.f23 did not replace 'twhk.f22 package during u...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: adobe-source-han-sans-tw-fonts (Show other bugs)
23
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Peng Wu
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-16 17:40 EST by Jon Burgess
Modified: 2015-11-21 21:22 EST (History)
4 users (show)

See Also:
Fixed In Version: adobe-source-han-sans-tw-fonts-1.004-2.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-21 21:22:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jon Burgess 2015-11-16 17:40:23 EST
Description of problem: After upgrading from f22 to f23 I found that 'dnf list extras' was reporting adobe-source-han-sans-twhk-fonts.noarch. It looks like the 'twhk package should have been replaced by 'tw during the upgrade.

Version-Release number of selected component (if applicable):
F22: adobe-source-han-sans-twhk-fonts-1.004-1.fc22
F23: adobe-source-han-sans-tw-fonts-1.004-1.fc23

How reproducible:
Once, during f22 -> f23 upgrade

Steps to Reproduce:
1. install F22 with adobe-source-han-sans-twhk-fonts
2. dnf system-upgrade download --releasever=23
3. dnf system-upgrade reboot
4. dnf list extras

Actual results:
$ sudo dnf --enablerepo=updates-testing list extras  
Last metadata expiration check performed 0:39:22 ago on Mon Nov 16 20:59:10 2015.
Extra Packages
adobe-source-han-sans-twhk-fonts.noarch                                                                1.004-1.fc22                                                  

Expected results:
Package upgraded to adobe-source-han-sans-tw-fonts

Additional info:
My assumption that the package should be an upgrade to the old one is based on this entry in the changelog:

* Mon Mar 30 2015 Peng Wu <pwu@redhat.com> - 1.001-1 - Renamed from adobe-source-han-sans-twhk-fonts

I guess some RPM magic, like an obsoletes or provides is necessary to ensure the correct upgrade.

Manually removing the old package and installing the new one worked OK.
Comment 1 Fedora Update System 2015-11-18 00:18:34 EST
adobe-source-han-sans-tw-fonts-1.004-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-e7bb209746
Comment 2 Fedora Update System 2015-11-19 10:27:12 EST
adobe-source-han-sans-tw-fonts-1.004-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update adobe-source-han-sans-tw-fonts'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-e7bb209746
Comment 3 Fedora Update System 2015-11-19 11:55:47 EST
adobe-source-han-sans-tw-fonts-1.004-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update adobe-source-han-sans-tw-fonts'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-e7bb209746
Comment 4 Fedora Update System 2015-11-21 21:22:53 EST
adobe-source-han-sans-tw-fonts-1.004-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.